<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Especialidad</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/css/bootstrap.min.css">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.16.0/umd/popper.min.js"></script>
    <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.4.1/js/bootstrap.min.js"></script>
</head>

<body>
    <!--barra de navegacion-->
    <div>
        <h1 class="display-4 text-center mt-3 mb-3">HOSPITAL "ME ESTOY MURIENDO"</h1>
        <nav class="navbar navbar-expand-sm bg-dark navbar-dark">
            <!-- Brand/logo -->
            <a class="navbar-brand" href="index.html">Inicio</a>

            <ul class="navbar-nav">
                <li class="nav-item">
                    <a class="nav-link" href="doctor.html">Doctor</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="especialidad.html">Especialidad</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="paciente.html">Paciente</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="consulta.html">Consulta</a>
                </li>
                <li class="nav-item">
                    <a class="nav-link" href="DetalleConsulta.html">DetalleConsulta</a>
                </li>
            </ul>
        </nav>
    </div>
    <!--TABLA-->
    <div class="container">
        <h1 class="display-4 mt-3">Especialidades</h1>
        <button type="button" class="btn btn-dark" data-toggle="modal" data-target="#mAdd">
            Nueva Especialidad</button>

        <table class="table mt-4">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>ESPECIALIDAD</th>
                </tr>
            </thead>
            <tbody id="cEsp">

            </tbody>
        </table>
    </div>

    <!--modal para agregar-->
    <div id="mAdd" class="modal fade" style="margin-right: auto;">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header bg-dark">
                    <h3 class="modal-tittle text-light">Nueva Especialidad</h3>
                    <button type="button" class="close text-light" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <label>ESPECIALIDAD:</label>
                        <input type="text" class="form-control" id="especialidad"
                            placeholder="Ingrese una nueva especialidad">
                    </div>
                    <div class="modal-footer">
                        <input type="button" class="btn btn-danger" data-dismiss="modal" value="Cancelar">
                        <input type="button" class="btn btn-primary" data-dismiss="modal" value="Guardar"
                            id="addEspecialidad">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--modal editar-->
    <div id="mUpdate" class="modal fade" style="margin-right: auto;">
        <div class="modal-dialog modal-lg">
            <div class="modal-content">
                <div class="modal-header bg-dark">
                    <h3 class="modal-tittle text-light">Editar Doctor</h3>
                    <button type="button" class="close text-light" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <div class="form-group">
                        <!-- <label for="nombre">ID:</label> -->
                        <input readonly="readonly" id="idE" class="form-control" type="hidden">
                    </div>
                    <div class="form-group">
                        <label>ESPECIALIDAD:</label>
                        <input type="text" class="form-control" id="especialidad2">
                    </div>
                    <div class="modal-footer">
                        <input type="button" class="btn btn-danger" data-dismiss="modal" value="Cancelar">
                        <input type="button" class="btn btn-primary" data-dismiss="modal" value="Guardar"
                            id="updateEspecialidad">
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!--modal para eliminar -->
    <div id="mDelete" class="modal fade">
        <div class="modal-dialog">
            <div class="modal-content">
                <div class="modal-header bg-danger">
                    <h3 class="modal-tittle text-light">Eliminar Especialidad</h3>
                    <button type="button" class="close text-light" data-dismiss="modal">&times;</button>
                </div>
                <div class="modal-body">
                    <h4 class="text-danger">¿Esta seguro la especialidad?</h4>
                </div>
                <div class="modal-footer">
                    <input id="deleteEspecialidad" type="button" data-dismiss="modal" class="btn btn-danger"
                        value="Eliminar">
                    <input type="reset" class="btn btn-success" data-dismiss="modal" value="Cancelar">
                </div>
            </div>
        </div>
    </div>

    <script src="/js/jquery.js"></script>
    <script src="/js/especialidad.js"></script>
</body>

</html>